### Method

# EDataServer GDataSession tasks_list_sync

since: 3.46

#### Declaration [src]

    gboolean
    e_gdata_session_tasks_list_sync (
      EGDataSession* self,
      const gchar* tasklist_id,
      EGDataQuery* query,
      EGDataObjectCallback cb,
      gpointer user_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lists all tasks in the task list `tasklist_id`, calling the `cb` for each of them.

Available since: 3.46

#### Parameters

`tasklist_id`

  Type: `const gchar*`

  Id of a task list.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`query`

  Type: `EGDataQuery`

  An `EGDataQuery` to limit returned tasks, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cb`

  Type: `EGDataObjectCallback`

  An `EGDataObjectCallback` to call for each found task.

`user_data`

  Type: `gpointer`

  User data passed to the `cb`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.